#ifndef _fontRenderer

#define _fontRenderer


// Macros

#define GL_GLEXT_PROTOTYPES




#include "stdlib.h"

extern char * __ClassNames[];


// Includes

#include <GL/glx.h>

#include <GL/gl.h>

#include <GL/glext.h>

#include <vector2.h>

#include <texture2D.h>

#include <text.h>

#include <freetype/freetype.h>

#include <ft2build.h>


typedef struct fontRenderer{

	GLubyte * data;


} fontRenderer;

texture2D * fontRenderer_loadFont( fontRenderer * this, char character );

void fontRenderer_draw_bitmap( fontRenderer * this, FT_Bitmap * bitmap,  FT_Int x,   FT_Int y );

void fontRenderer_show_image( fontRenderer * this, void );

fontRenderer fontRenderer_new(  );

fontRenderer * fontRenderer_newPointer(  );

#endif


typedef struct fontRenderer fontRenderer;



